--
-- Copyright (C) 2022  <fastrgv@gmail.com>
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You may read the full text of the GNU General Public License
-- at <http://www.gnu.org/licenses/>.
--

-- This code is embedded into cpana.adb, and has become specific 
-- to this one puzzle. I have abandon any attempt to generalize it.
-- Of course, being embedded, the input to this code is not
-- necessarily the original, but the current puzzle configuration.
--
-- This takes about 10 seconds to solve.
-- It uses a keytype that considers permutations that put
-- the same letters in the same locations as being equivalent.
-- Thus, it only searches among unique letter layouts.



with Ada.Strings.Unbounded;

package fbfsp is -- client: cpana

use Ada.Strings.Unbounded;

procedure bfsp(
	infilname: unbounded_string;
	solutionPath : out unbounded_string
);

end fbfsp;

